iniperiodo
Anterior | Documentación de referencia de programas | Siguiente

## Nombre de referencia

iniperiodo — Agrega anotaciones y/o valoraciones a archivos de progreso de materias y estudiantes referenciados en un plan de estudios.

## Sinopsis

iniperiodo [`opciones`] `arch_planest` ...

## Descripción

Recibe uno o más planes de estudio (ver planest(5)), información sobre el periodo (`-p`), el tipo que se valora (`-tipoval`) y bien una valoración por defecto (`-val`) a insertar o información para calcular promedios. Inserta valoraciones pendientes e inserta las valoraciones por defecto o computadas en todos los archivos de progreso de estudiantes referenciados en el plan de estudio en el periodo dado. Opcionalmente puede insertar anotaciones (`-anota`).

Empleando opciones en la línea de comandos puede:

- Evitarse la inserción de valoraciones pendientes (`-nopendientes`) o sólo insertar valoraciones pendientes (`-solopendientes`). Las valoraciones que se consideran pendientes se especifican con la opción `-pendiente`. Pueden marcarse clasificaciones no recuperables con un atributo, que iniperiodo puede emplear (`-norec`).

- Limitar los cursos que se examinan (`-curso`) o las asignaturas (`-asignatura`) o los estudiantes (`-estudiante`).

- Pueden calcularse valoraciones de una de las siguientes formas:

  1. A partir de valoraciones existentes. Especificar programa para calcular promedio (`-prom`), periodo inicial, periodo final (`-prom_rango`) y si los periodos no están ordenados lexicográficamente el orden en los periodos (`-ordper`).

  2. A partir de resultados en ejercicios con la opción `-ejercicios`. Especificar programa para calcular promedios (`-prom`), periodo inicial y periodo final (`-prom_rango`), orden en los periodos (`-ordper`), cronograma (`-cron`), tipo que designa periodos en el cronograma (`-tipoper`) y valoración por defecto (`-val`).

  3. Agregar sólo anotaciones (usando sólo las opciones `-anota` y `-nopendientes`).

  Por defecto las valoraciones computadas no remplazan valoraciones existentes, sino que sólo se insertan de no existir. Pueden obligarse el remplazo de valoraciones existentes (`-remplazar`), o para depurar puede inhibirse escribir en los archivos (`-noescribir`).

Las opciones son las siguientes:

`-ayuda`

  Presenta ayuda corta y opciones

`-D`

  Establece otro directorio en el cual buscar archivos con más precedencia

`-man`

  Presenta página del manual

`-refentry`

  Presenta página del manual en formato DocBook

`-V`

  Versión de este programa

`-prom`

  Especifica archivo en el que está el programa para computar promedios. Por ejemplo -prom "mediana.prom"

`-prom_tipos`

  Especifica tipos en los que debe agregarse computo de promedios. Por ejemplo -prom_tipos "cadena:Asignatura;Reporte"

`-prom_rango`

  Establece periodo inicial y periodo final para el computo de promedios. Separar uno de otro con ':'. Por ejemplo: -prom_rango "p/2012-1:p/2012-4"

`-solopendientes`

  Sólo inserta calificaciones pendientes.

`-curso`

  Fija identificación de cursos que se actualizarán (por defecto se actualizan todos). Separar uno de otro con ';'. Por ejemplo -curso "g1;g2"

`-asignatura`

  Fija identificación de asignaturas que se actualizarán (por defecto se actualizan todas). Separar una de otra con ';'. Por ejemplo -asignatura "castellano;religion"

`-estudiante`

  Fija login de estudiantes que se actualizarán (por defecto se actualizan todos). Separar uno de otro con ';'. Por ejemplo -estudiante "juaper;romhin"

`-anota`

  Establece anotaciones por agregar a la raíz de cada archivo de progreso. Separar tipo de anotación de dato con ':' y separar varios pares anotación-valor con ';' e.g -a "Fallas:0;Observaciones:". Como atributo valor se empleará el periodo.

`-pendiente`

  Establece conceptos que se consideran pendientes/insuficientes. Separar uno de otro con el caracter ';' e.g -pendiente "I;D"

`-rempend`

  Establece conceptos con los que se remplazan pendientes. De haber, deben ser tantos como conceptos pendientes. Separar uno de otro con el caracter ';' e.g -pendiente "I;D" -remped "L;L"

`-tipoper`

  Tipo empleado para designar el periodo en archivo de secuencia, por defecto es "Periodo"

`-noescribir`

  Indica que no debe escribirse en los .prc, sino que debe reportarse por stderr lo que haría (útil para probar programas prom).

`-nopendientes`

  Indica que no deben insertarse valoraciones pendientes de periodos anteriores.

`-ejercicios`

  Calcula promedio de ejercicios en una clasificación (las que tengan el tipo especificado con -t)

`-ordenper`

  Establece orden en los periodos. Escribirlos en orden ascendente, separados unos de otros con el caracter ';' e.g -j "p2001-1;p2004-1;p2002-2". Si no se especifica se usa orden lexicográfico.

`-p`

  Periodo (e.g -p "p/2012-2")

`-norec`

  Establece tipo para anotaciones y valor de clasificaciones no recuperables (por defecto tipo "recuperable" y valor "no"). Separar una de otra con ;, e.g -norec "recuperable;no".

`-remplazar`

  Indica que los promedios que ya existan deben remplazarse con resultados de promediar de nuevo.

`-tipoval`

  Tipo que se valora (a las clasificaciones de este tipo del periodo especificado se agregan las valoración por defecto o los promedios de ejercicios, o en caso de calculo de promedios por asignatura son las empleadas en promedios) e.g -tipoval "Indicador".

`-val`

  Valoración por defecto para clasificaciones no pendientes o para clasificaciones sin ejercicios (e.g -v "B")

`-cron`

  Establece archivo de secuencia con el cronograma de periodos, debe tener tipos `Periodo' con identificadores como los especificados en -prom-rango y fechas de inicio y fin

En los programas para calcular promedios pueden emplearse:

`_id`

  que debe tener identificación de la asignatura

`_tipo`

  que es tipo de la asignatura.

`_ejecutor`

  que debe ser la cadena `iniperiodo`.

`_val`

  es un vector con todas las valoraciones del año en un orden arbitrario.

`_val_tipo`

  es un vector con los tipos de las valoraciones de _val (_val_tipo[0] tiene el tipo de _val[0]).

`_val_id`

  es un vector con las identificaciones de las valoraciones de _val (misma convención de _val_tipo)

`_val_arch`

  es un vector con los nombres de los .cla en los que están los indicadores de _val (misma convención de _val_tipo).

`_val_periodo`

  es un vector con los periodos de las valoraciones de _val (misma convención de _val_tipo)

Tenga en cuenta que al calcular promedios de valoraciones sobre un rango de periodo, se acumularán las valoraciones más recientes de cada clasificación (por ejemplo si un indicador tiene una valoración en el periodo 1 y otra en el periodo 2, el programa que calcula promedios sólo recibirá la del periodo 2).

## Ejemplos

    iniperiodo -tipoval "Indicador" -nopendientes -val "B" \
    -p "p2001-1" -estudiante t1 insval.planest

Inserta la valoración por defecto `B` en los archivos de progreso de todos los estudiantes de grupos referenciados en `insval.planest`, en todos los indicadores referenciados desde secuencias referenciadas en `insval.planest` cuyo periodo sea `p2001-1`.

    iniperiodo -tipoval "Indicador" -solopendientes \
    -norec "Recuperable;no" -pendiente "I" -p "p2001-3" \
    -estudiante t1 inspendval.planest

Inserta las valoraciones de indicadores pendientes y recuperables hasta el periodo `p2001-3` en los archivos de progreso del estudiante con login `t1` que estén referenciados en `inspendval.planest`. Considera que la única valoración pendiente es `I` y que los indicadores no recuperables tienen una anotación con tipo `Recuperable` y como dato `no`.

    iniperiodo -prom t2.prom -prom_rango "p2001-1:p2001-2" \
    -tipoval "Indicador" -norec "Recuperable;no" -pendiente "I" \
    -p "p2001-3" -estudiante t1 inspendval.planest

La misma funcionalidad del ejemplo anterior, pero además calcula promedios de indicadores entre los periodos `p2001-1` y `p2001-2` usando el script `t2.prom` y agregando el promedio calculado en la raíz del archivo de progreso con periodo `p2001-3`

## Ver también

progcla(5), clasificacion(5)

## Fallas

No maneja entidades externas. Es decir si un archivo de progreso emplea entidades externas, al actualizarlo, lo escribirá incluyendo la entidad externa, eliminando la declaración e incluyendo el DTD como DTD interno.

Anterior | Subir | Siguiente
reporte | Inicio | camval